﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.Organization
@{
    ViewData["Title"] = "Index";
}
@if (!string.IsNullOrEmpty(TempData["success"]?.ToString()))
{
    <script>
        toastr.success('@TempData["success"]');
    </script>
}
else if (!string.IsNullOrEmpty(TempData["error"]?.ToString()))
{
    <script>
        toastr.error('@TempData["error"]');
    </script>
}

<script src="~/Script/Master/Layout.js"></script>
<script src="~/Script/ApplicationManagement/OrganizationClient.js"></script>
<script>
    $(document).ready(function () {
        debugger
        if ($("#Id").val() > 0) {
            $(".titile_heading h1").html("Add Client");
            $(".service_line").addClass("active");
            $(".assign_panel").hide();
            $(".titile_heading").show();
            $('#DdlRole').val([@Model.ClientAdminIds]).change();
            $(".multiple").multiselect('rebuild');
        } else {
            $(".titile_heading h1").html("Client List");
            $(".service_line").removeClass("active");
            $(".assign_panel").show();
            $(".titile_heading").show();
        }
    });
</script>
<style>
    .note-toolbar .btn-group, .note-toolbar .btn-group .btn {
        width: inherit !important;
    }

    .btnFlex {
        display: flex;
        width: 100%;
    }

    .adddivProcess {
        padding-left: 20px;
    }

    .close {
        opacity: 1.5;
        color: white;
    }

    .select_box.m_bottom {
        width: 100%;
    }

    .table tr th input[type="button"] {
        border: 1px solid #c3bbbbee;
        padding: 2px 10px;
        color: #61c1c1;
        background-color: #ffff;
        border-radius: 5px;
    }
</style>

<section>
    <div class="right_section">
        <div class="titile_heading" id="title_List">
            <h1>Client List</h1>
            <div class="titile_line"></div>
        </div>
        @if (ViewBag.message != null)
        {
            <script>toastr.success('@ViewBag.message')</script>
        }

        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="right_panel">
                <div class="right_content">
                    <div class="service_line" id="dvForm">
                        <form asp-area="ApplicationManagement" asp-controller="Organization" asp-action="SubmitOrganization" id="form" method="post" autocomplete="off"
                              data-ajax="true"
                              data-ajax-method="POST"
                              data-ajax-mode="replace"
                              data-loading-text="loading..."
                              data-ajax-update="#ajaxresult"
                              data-ajax-success="fn_Onsuccess(data,'ApplicationManagement/Organization/Index');"
                              data-ajax-failure="Errmsg(data);">
                            @Html.HiddenFor(m => m.Id)
                            @Html.HiddenFor(m => m.ClientAdminIds)
                            @Html.HiddenFor(m => m.xmlAudity)
                            <div class="pb-2 mt-4 mb-2 border-bottom box_title">Client</div>
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label class="required">Name(Parent Organization)</label>
                                    <div class="select_box m_bottom">
                                        <input type="text" class="form-control m_no" required name="ParentOrgName" onchange="fn_checkOrgDupllicate(this)" id="ParentOrgName" value="@Model.ParentOrgName" placeholder="Enter parent org. name">
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Corporate Office Location</label>
                                    <div class="select_box m_bottom">
                                        <input type="text" class="form-control m_no" name="CorporateOfficeLocation" id="CorporateOfficeLocation" value="@Model.CorporateOfficeLocation" placeholder="Enter corporate office location">
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label>Client Admin</label>
                                    <div class="select_box m_bottom">
                                        @Html.DropDownList("DdlRole", Model.DdlRole, new { @class = "form-control m_no multiple chosen-select", multiple = "multiple" })
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label class="required">Country</label>
                                    <div class="btnFlex">
                                        <div class="select_box m_bottom">
                                            @Html.DropDownListFor(m => m.CountryID, Model.DdlCountry, "Select Country", new { @class = "form-control m_no", required = "required", @onchange = "fn_BindStates(this);" })
                                        </div>
                                        <div style="margin-left: 5px; margin-top: 4px;">
                                            <button class="btn btn-info" type="button" data-toggle="modal" data-target="#countryModal"><i class="fa fa-plus" aria-hidden="true"></i></button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label class="required">State</label>
                                    <div class="btnFlex">
                                        <div class="select_box m_bottom">
                                            @if (Model.Id > 0)
                                            {
                                                @Html.DropDownListFor(m => m.StateId, Model.DdlState, "Select State", new { @class = "form-control m_no", required = "required", @onchange = "fn_BindCity(this);" })
                                            }
                                            else
                                            {
                                                @Html.DropDownListFor(m => m.StateId, Enumerable.Empty<SelectListItem>(), "Select State", new { @class = "form-control m_no", required = "required", @onchange = "fn_BindCity(this);" })
                                            }
                                        </div>
                                        <div style="margin-left: 5px; margin-top: 4px;">
                                            <button class="btn btn-info" type="button" data-toggle="modal" data-target="#stateModal"><i class="fa fa-plus" aria-hidden="true"></i></button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4 col-sm-6 col-xs-12">
                                    <label class="required">City</label>
                                    <div class="btnFlex">
                                        <div class="select_box m_bottom">
                                            @if (Model.Id > 0)
                                            {
                                                @Html.DropDownListFor(m => m.CityId, Model.DdlCity, "Select City", new { @class = "form-control m_no", required = "required" })
                                            }
                                            else
                                            {
                                                @Html.DropDownListFor(m => m.CityId, Enumerable.Empty<SelectListItem>(), "Select City", new { @class = "form-control m_no", required = "required" })
                                            }
                                        </div>
                                        <div style="margin-left: 5px; margin-top: 4px;">
                                            <button class="btn btn-info" type="button" data-toggle="modal" data-target="#cityModal"><i class="fa fa-plus" aria-hidden="true"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="pb-2 mt-4 mb-2 border-bottom box_title">Client Auditee</div>
                            <div class="row pt-3">
                                <div class="col-md-12 col-sm-6 col-xs-12">
                                    <div class="table_control">
                                        <table class="table" id="tblClientAudity">
                                            <thead>
                                                <tr>
                                                    <th>S.No.</th>
                                                    <th hidden>ID</th>
                                                    <th>Name</th>
                                                    <th>Email</th>
                                                    <th>Password</th>
                                                    <th>Action<input type="button" value="Add" class="pull-right" onclick="fn_AddNewRow();"> </th>
                                                </tr>
                                            </thead>
                                            <tbody>

                                                @{int i = 0;}
                                                @if (Model.Id > 0)
                                                {
                                                    if (Model.AudityList.Count > 0)
                                                    {
                                                        foreach (var item in Model.AudityList)
                                                        {
                                                            <tr>
                                                                <td>@(++i)</td>
                                                                <td hidden><input type="text" class="form-control" value="@item.Id" /></td>
                                                                <td><input type="text" class="form-control" value="@item.UName" /></td>
                                                                <td><input type="text" class="form-control" value="@item.Email" /></td>
                                                                <td><input type="password" class="form-control" value="@item.UPassword" autocomplete="new-password" /></td>
                                                                <td><a class="delete_btn" onclick="removeRow($(this))"></a></td>
                                                            </tr>
                                                        }
                                                    }
                                                }
                                                else
                                                {
                                                    <tr>
                                                        <td>1</td>
                                                        <td hidden><input type="text" class="form-control" value="0" /></td>
                                                        <td><input type="text" class="form-control" /></td>
                                                        <td><input type="text" class="form-control" /></td>
                                                        <td><input type="password" class="form-control" autocomplete="new-password" /></td>
                                                        <td><a class="delete_btn" onclick="removeRow($(this))"></a></td>
                                                    </tr>
                                                }
                                            </tbody>
                                        </table>

                                    </div>
                                </div>
                            </div>
                            <div class="row pt-3">
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <div class="back_btn">
                                        <div class="back_btn_in">
                                            <input type="button" id="btnBack" name="Submit" value="Back" onclick="hideForm()">
                                        </div>
                                    </div>
                                    <div class="submitbtn">
                                        <input type="submit" id="btnsubmit" name="Submit" value="Submit" onclick="fn_SaveAudityxml();">
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="assign_panel assign_section" id="dvDataTable">
                        <div class="addbtn">
                            <div class="add_litigation">
                                <span>+</span>
                                <input type="button" id="btnHideShow" onclick="AddButton()" value="Add Client">
                            </div>
                        </div>
                        <div class="assign_box active_block fade in">
                            <div class="row">
                                <div class="table_control">
                                    <table id="example2" class="table table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th style="width:70px">SN</th>
                                                <th>Parent Organization Name</th>
                                                <th>Corporate Office Location</th>
                                                <th>Client Admin</th>
                                                <th style="width:130px">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @{int sn = 0;}
                                            @foreach (var item in Model.OrganizationList)
                                            {
                                                var clientAdminIds = String.IsNullOrEmpty(item.ClientAdminIds) ? new String[1] { "0" } : item.ClientAdminIds.Split(",");
                                                var clientAdmins = ""; var no = 0;
                                                foreach (var id in clientAdminIds)
                                                {
                                                    no++;
                                                    var name = Model.DdlRole.Where(x => x.Value == id).Select(s => s.Text).FirstOrDefault();
                                                    clientAdmins += clientAdminIds.Count() == no ? name : name + ", ";
                                                }
                                                <tr>
                                                    <td>@(++sn)</td>
                                                    <td>@item.ParentOrgName</td>
                                                    <td>@item.CorporateOfficeLocation</td>
                                                    <td>@clientAdmins</td>
                                                    <td>
                                                        <a data-ajax="true" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="Index" asp-route-ID="@item.Id" asp-controller="Organization" asp-area="ApplicationManagement" class="edit_btn"></a>
                                                        @*<a data-ajax="true" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="BlockDeleteOrganization" asp-route-Id="@item.Id" asp-route-Type="0" asp-controller="Organization" asp-area="ApplicationManagement" class="Active_btn" asp-route-ActionName="@(item.IsActive ? "InActive" : "Active")"></a>*@
                                                        @*<a class="delete_btn" onclick="Confirmation('@item.Id')"></a>*@
                                                    </td>
                                                </tr>
                                            }
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal" id="countryModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header modalbg">
                        <h5 class="modal-title" id="exampleModalLabel">Add Country</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <label class="required">Country</label>
                        <input asp-for="Country" class="form-control" autocomplete="off" />
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" id="cBtn">Save</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->
        <div class="modal" id="stateModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header modalbg">
                        <h5 class="modal-title" id="exampleModalLabel">Add State</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-6">
                                <label>Country</label><span class="text-danger">*</span>
                                <select asp-for="CountryID2" asp-items="@(Model.DdlCountry)" class="form-control">
                                    <option value="">--Select--</option>
                                </select>
                            </div>
                            <div class="col-md-6">
                                <label>State Name</label><span class="text-danger">*</span>
                                <input asp-for="State" class="form-control" autocomplete="off" />
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" id="sBtn">Save</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->
        <div class="modal" id="cityModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header modalbg">
                        <h5 class="modal-title" id="exampleModalLabel">Add City</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-md-6">
                                <label>Country</label><span class="text-danger">*</span>
                                <select asp-for="CountryID3" asp-items="@(Model.DdlCountry)" class="form-control" onchange="fn_BindStateOfModel(this)">
                                    <option value="0">--Select--</option>
                                </select>
                            </div>
                            <div class="col-md-6">
                                <label>State</label><span class="text-danger">*</span>
                                <select asp-for="StateId2" asp-items="@(new SelectList(string.Empty))" class="form-control">
                                    <option value="0">--Select--</option>
                                </select>
                            </div>
                        </div>
                        <div class="row pt-2">
                            <div class="col-md-12">
                                <label>City Name</label><span class="text-danger">*</span>
                                <input asp-for="City" class="form-control" autocomplete="off" />
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary" id="ctBtn">Save</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

